/************************************************************************/
/*                                                                      */
/*                      RC5 Remote Receiver                             */
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*                                                                      */
/************************************************************************/
#include <avr\io.h>
#include <avr\interrupt.h>
#include <avr\signal.h>
#include <stdlib.h>


#define uchar unsigned char
#define uint unsigned int

#define xRC5_PORT	PORTB
#define	xRC5_IN		PINB
#define	xRC5		PB2			// IR input low active
#define xRC5_PINNR  2

#define	XTAL_RC5		16.0e6
//#define	XTAL_RC5		7.3728e6
//#define XTAL_RC5		5e6

#define	BAUD	19200
#define bauddivider (uint)(XTAL_RC5 / BAUD / 16 - 0.5)


extern uint	rc5_data;				// store result
extern void rc5_init(void);
extern uint read_rc5(void);

#define RC5_DEVICE_ADDRESS(i) (((i) >> 6) & 0x1F)
#define RC5_KEY_CODE(i) (((i) & 0x3F) | (~(i) >> 7 & 0x40))
#define RC5_IS_REPEAT(i) (0!=((i) & (1<<11)))
